pwman3_0.5.1d-1_all.deb


Advertisement

Description

pwman3 - console password management application

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pwman3
Package version 0.5.1d
Package release 1
Package architecture all
Package type deb
Installed size 313 B
Download size 41.34 KB
Official Mirror archive.ubuntu.com
Pwman3 aims to provide a simple but powerful command line interface for
password management. It allows one to store your password in a sqlite database
locked by a master password which can be encrypted with different algorithms
(e.g Blowfish, AES, DES3).
It is also possible to tag them to ease searches in a large amount of
passwords

Alternatives

Package Version Architecture Repository
pwman3_0.5.1d-1_all.deb 0.5.1d all Ubuntu Universe
pwman3 - - -

Requires

Name Value
python >= 2.7
python << 2.8
python-colorama >= 0.2.4
python-crypto -

Download

Type URL
Binary Package pwman3_0.5.1d-1_all.deb
Source Package pwman3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pwman3 deb package:
    # sudo apt-get install pwman3

Files

Path
/usr/bin/pwman3
/usr/lib/python2.7/dist-packages/Pwman3-0.5.1d.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/Pwman3-0.5.1d.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/Pwman3-0.5.1d.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/Pwman3-0.5.1d.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/Pwman3-0.5.1d.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/Pwman3-0.5.1d.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pwman/__init__.py
/usr/lib/python2.7/dist-packages/pwman/data/__init__.py
/usr/lib/python2.7/dist-packages/pwman/data/convertdb.py
/usr/lib/python2.7/dist-packages/pwman/data/database.py
/usr/lib/python2.7/dist-packages/pwman/data/factory.py
/usr/lib/python2.7/dist-packages/pwman/data/nodes.py
/usr/lib/python2.7/dist-packages/pwman/data/tags.py
/usr/lib/python2.7/dist-packages/pwman/data/drivers/__init__.py
/usr/lib/python2.7/dist-packages/pwman/data/drivers/mysql.py
/usr/lib/python2.7/dist-packages/pwman/data/drivers/postgresql.py
/usr/lib/python2.7/dist-packages/pwman/data/drivers/sqlite.py
/usr/lib/python2.7/dist-packages/pwman/exchange/__init__.py
/usr/lib/python2.7/dist-packages/pwman/exchange/importer.py
/usr/lib/python2.7/dist-packages/pwman/ui/__init__.py
/usr/lib/python2.7/dist-packages/pwman/ui/base.py
/usr/lib/python2.7/dist-packages/pwman/ui/cli.py
/usr/lib/python2.7/dist-packages/pwman/ui/mac.py
/usr/lib/python2.7/dist-packages/pwman/ui/tools.py
/usr/lib/python2.7/dist-packages/pwman/ui/win.py
/usr/lib/python2.7/dist-packages/pwman/util/__init__.py
/usr/lib/python2.7/dist-packages/pwman/util/callback.py
/usr/lib/python2.7/dist-packages/pwman/util/config.py
/usr/lib/python2.7/dist-packages/pwman/util/crypto.py
/usr/lib/python2.7/dist-packages/pwman/util/generator.py
/usr/share/doc/pwman3/README.md.gz
/usr/share/doc/pwman3/changelog.Debian.gz
/usr/share/doc/pwman3/copyright
/usr/share/man/man1/pwman3.1.gz

Changelog

2014-08-28 - Emmanuel Bouthenot <kolter@debian.org>
pwman3 (0.5.1d-1) unstable; urgency=medium
* New upstream release
* debian/control: fix typo in short description
2014-05-10 - Emmanuel Bouthenot <kolter@debian.org>
pwman3 (0.5.1-1) unstable; urgency=medium
* New upstream release
2014-04-10 - Emmanuel Bouthenot <kolter@debian.org>
pwman3 (0.5-1) unstable; urgency=low
* New upstream release
- Fix issues with converted database (Closes: #726987)
- Fix issues when editing some fields (Closes: #726884)
* Update manpage and switch to pod format
* Bump Standards-Version to 3.9.5
2013-09-30 - Emmanuel Bouthenot <kolter@debian.org>
pwman3 (0.4.2-1) unstable; urgency=low
* New upstream release
- Update build dependencies
* Update debian/copyright (switch to dep5 format, add new copyright
holders)
2013-08-12 - Emmanuel Bouthenot <kolter@debian.org>
pwman3 (0.3.9d-1) unstable; urgency=low
* New upstream release
* Remove debian/pyversions in favor of X-Python-Version field in
debian/control
* Update Vcs-Browser and Vcs-Git fields
2013-06-30 - Emmanuel Bouthenot <kolter@debian.org>
pwman3 (0.3.9c-1) unstable; urgency=low
* New upstream release
* Add git-buildpackage configuration
* Add dependency on python-colorama
* Fix manpage source path
2013-03-17 - Emmanuel Bouthenot <kolter@debian.org>
pwman3 (0.3.0-1) unstable; urgency=low
* New upstream release (Closes: #703100)
- Update debian/watch and debian/control regarding the new homepage
(Closes: #696216)
- Add a Suggests on xsel (make possible to copy passwords to clipboard)
- Remove all patches (merged upstream)
* Switch to debhelper >= 9
* Remove useless targets in debian/rules (Thanks to Andrey Rahmatullin for
the suggestion) (Closes: #696243)
* Bump Standards-Version to 3.9.4
* Fix typos in long description
* Update docs installed (README.md instead of README)
2010-09-05 - Emmanuel Bouthenot <kolter@debian.org>
pwman3 (0.0.8-1) unstable; urgency=low
* New upstream release:
- a patch for a better output in list mode (detection of the
number of columns and rows used by the terminal) has been merged
upstream. Thanks to Dominic Hargreaves for the suggestion (Closes: #594928).
* Remove uselsess build dependency on python-dev.
* Update Standards-Version to 3.9.1.
* Update uploader email.
* Update Vcs-Browser and Vcs-Git fields.
* Switch to dpkg-source 3.0 (quilt) format.
* Remove unneeded DMUA field.
* Update copyright file (new year changes, new copyright holders).
* Add a patch to fix the filter command when used with the sqlite backend.
Thanks to Guillaume L. for the patch (Closes: #605513).
* Remove unused lintian override.
2009-09-24 - Emmanuel Bouthenot <kolter@openics.org>
pwman3 (0.0.7-2) unstable; urgency=low
* Add a patch to drop dependency on python-pysqlite2 and use internal
sqlite provided by python >= 2.5. Thanks to √Čric Araujo for his
suggestion (Closes: #546693).
* Add Recommends and Suggests regarding the others storage drivers
available.
* Clean and minify debian/rules.
* Add file README.source.
* Bump Standards-Version to 3.8.3.
* Add a lintian override about missing upstream changelog.
2009-02-21 - Emmanuel Bouthenot <kolter@openics.org>
pwman3 (0.0.7-1) unstable; urgency=low
* New upstream release (Closes: #512766, #512768)
* Remove patches fix_celementtree_python25, fix_help_eof and
fix_disable_node_password_echo (fixed upstream).
* Update watch file: the source code is now hosted on github.
* Remove quilt from Build-Depends.
* Add Vcs-Browser and Vcs-Git fields in debian/control.
* Bump Standards-Version to 3.8.0.
* Update debian packaging to debhelper 7 and add debian/manpages.
* Update debian/control, add ${misc:Depends} and Build-Depends-Indep.
* Update debian/copyright about debian packaging.
* Add DM-Upload-Allowed field.

See Also

Package Description
pwrkap-gui_7.30-5_all.deb Energy use monitor and Power Cap enforcement tools - GTK+ GUI
pwrkap_7.30-5_all.deb Energy use monitor and Power Cap enforcement tools - Core
pxe-kexec_0.2.4-3build1_i386.deb Fetch PXE configuration file and netboot using kexec
pxfw_0.7.2-4.1_i386.deb Plextor firmware updater
pxlib-dev_0.6.7-1_i386.deb library to read/write Paradox database files (development files)
pxlib1_0.6.7-1_i386.deb library to read/write Paradox database files
pxsl-tools_1.0-5.2build1_i386.deb Parsimonious XML Shorthand Language
pxz_4.999.99~beta5+gitfcfea93-1_i386.deb parallel LZMA compressor using liblzma
py3c-dev_0.8-1_all.deb Python 2/3 compatibility layer for C extensions
py3status_3.5-1_all.deb extensible i3status wrapper written in Python (Python3 package)
pybik-bin_2.1-1build3_i386.deb Rubik's cube game - architecture dependent files
pybik_2.1-1build3_all.deb Rubik's cube game
pybind11-dev_2.0.1-4_all.deb seamless operability between C++11 and Python
pybind11-doc_2.0.1-4_all.deb documentation for pybind11
pybit-client_1.0.0-3_all.deb buildd client support for pybit
Advertisement
Advertisement